package com.ss.android.ugc.aweme.global.config.settings.pojo;

import X.4Ek;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public class CommentListAdMigration {
    @c(LIZ = "enterprise_tag")
    public String enterpriseTag;
    @c(LIZ = "link_tag")
    public String linkTag;
    @c(LIZ = "star_atlas_tag")
    public String starAtlasTag;
    @c(LIZ = "task_tag")
    public String taskTag;

    static {
        Covode.recordClassIndex(82839);
    }

    public String getEnterpriseTag() {
        String str = this.enterpriseTag;
        if (str != null) {
            return str;
        }
        throw new 4Ek();
    }

    public String getLinkTag() {
        String str = this.linkTag;
        if (str != null) {
            return str;
        }
        throw new 4Ek();
    }

    public String getStarAtlasTag() {
        String str = this.starAtlasTag;
        if (str != null) {
            return str;
        }
        throw new 4Ek();
    }

    public String getTaskTag() {
        String str = this.taskTag;
        if (str != null) {
            return str;
        }
        throw new 4Ek();
    }
}
